info.bioinfweb.jphyloio.formats.phyloxml

## Class PhyloXMLReaderStreamDataProvider

- java.lang.Object
- - info.bioinfweb.jphyloio.ReaderStreamDataProvider<R>
  - - info.bioinfweb.jphyloio.formats.xml.XMLReaderStreamDataProvider<PhyloXMLEventReader>
    - - info.bioinfweb.jphyloio.formats.phyloxml.PhyloXMLReaderStreamDataProvider

-     public class PhyloXMLReaderStreamDataProvider
      extends XMLReaderStreamDataProvider<PhyloXMLEventReader>

  The `XMLReaderStreamDataProvider` used by `PhyloXMLEventReader`.
  Author:
    Sarah Wiechers

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhyloXMLReaderStreamDataProvider(PhyloXMLEventReader eventReader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getIdSourceToEventIDMap()`
    `java.lang.String` | `getLastNodeID()`
    `java.lang.String` | `getTreeLabel()`
    `boolean` | `isCreatePhylogenyStart()`
    `boolean` | `isCreateTreeGroupEnd()`
    `boolean` | `isCreateTreeGroupStart()`
    `boolean` | `isFirstContentEvent()`
    `boolean` | `isPropertyHasResource()`
    `boolean` | `isPropertyIsURI()`
    `boolean` | `isResetEventCollection()`
    `void` | `setCreatePhylogenyStart(boolean createPhylogenyStart)`
    `void` | `setCreateTreeGroupEnd(boolean createTreeGroupEnd)`
    `void` | `setCreateTreeGroupStart(boolean createTreeGroupStart)`
    `void` | `setFirstContentEvent(boolean isFirstContentEvent)`
    `void` | `setLastNodeID(java.lang.String lastNodeID)`
    `void` | `setPropertyHasResource(boolean propertyHasResource)`
    `void` | `setPropertyIsURI(boolean propertyIsURI)`
    `void` | `setResetEventCollection(boolean resetEventCollection)`
    `void` | `setTreeLabel(java.lang.String treeLabel)`

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.xml.XMLReaderStreamDataProvider

      `getCharacterSetType, getEdgeInfos, getElementName, getIncompleteToken, getNestedMetaNames, getParentName, getSourceNode, getStartDocumentEvent, getXMLReader, hasIncompleteToken, isCreateNodeStart, isCustomXMLStartWritten, isRootedPhylogeny, setCharacterSetType, setCreateNodeStart, setCustomXMLStartWritten, setElementName, setIncompleteToken, setParentName, setRootedPhylogeny, setStartDocumentEvent`

    - ### Methods inherited from class info.bioinfweb.jphyloio.ReaderStreamDataProvider

      `eventsUpcoming, getCurrentEventCollection, getEventReader, getIDManager, getParameters, getSequenceTokensEventManager, hasSpecialEventCollection, resetCurrentEventCollection, setCurrentEventCollection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhyloXMLReaderStreamDataProvider

          public PhyloXMLReaderStreamDataProvider(PhyloXMLEventReader eventReader)

  - ### Method Detail

    - #### getTreeLabel

          public java.lang.String getTreeLabel()

    - #### setTreeLabel

          public void setTreeLabel(java.lang.String treeLabel)

    - #### isCreateTreeGroupStart

          public boolean isCreateTreeGroupStart()

    - #### setCreateTreeGroupStart

          public void setCreateTreeGroupStart(boolean createTreeGroupStart)

    - #### isCreatePhylogenyStart

          public boolean isCreatePhylogenyStart()

    - #### setCreatePhylogenyStart

          public void setCreatePhylogenyStart(boolean createPhylogenyStart)

    - #### isCreateTreeGroupEnd

          public boolean isCreateTreeGroupEnd()

    - #### setCreateTreeGroupEnd

          public void setCreateTreeGroupEnd(boolean createTreeGroupEnd)

    - #### getLastNodeID

          public java.lang.String getLastNodeID()

    - #### setLastNodeID

          public void setLastNodeID(java.lang.String lastNodeID)

    - #### isFirstContentEvent

          public boolean isFirstContentEvent()

    - #### setFirstContentEvent

          public void setFirstContentEvent(boolean isFirstContentEvent)

    - #### getIdSourceToEventIDMap

          public java.util.Map<java.lang.String,java.lang.String> getIdSourceToEventIDMap()

    - #### isResetEventCollection

          public boolean isResetEventCollection()

    - #### setResetEventCollection

          public void setResetEventCollection(boolean resetEventCollection)

    - #### isPropertyHasResource

          public boolean isPropertyHasResource()

    - #### setPropertyHasResource

          public void setPropertyHasResource(boolean propertyHasResource)

    - #### isPropertyIsURI

          public boolean isPropertyIsURI()

    - #### setPropertyIsURI

          public void setPropertyIsURI(boolean propertyIsURI)